#*************************************************************************
#
#   $RCSfile: makefile.mk,v $
#
#   $Revision: 1.1.2.2 $
#
#   last change: $Author: jbu $ $Date: 2003/10/20 20:25:10 $
#
#   The Contents of this file are made available subject to the terms of
#   either of the following licenses
#
#          - GNU Lesser General Public License Version 2.1
#          - Sun Industry Standards Source License Version 1.1
#
#   Sun Microsystems Inc., October, 2000
#
#   GNU Lesser General Public License Version 2.1
#   =============================================
#   Copyright 2000 by Sun Microsystems, Inc.
#   901 San Antonio Road, Palo Alto, CA 94303, USA
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License version 2.1, as published by the Free Software Foundation.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
#   MA  02111-1307  USA
#
#
#   Sun Industry Standards Source License Version 1.1
#   =================================================
#   The contents of this file are subject to the Sun Industry Standards
#   Source License Version 1.1 (the "License"); You may not use this file
#   except in compliance with the License. You may obtain a copy of the
#   License at http://www.openoffice.org/license.html.
#
#   Software provided under this License is provided on an "AS IS" basis,
#   WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#   WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#   MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#   See the License for the specific provisions governing your rights and
#   obligations concerning the Software.
#
#   The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#   Copyright: 2000 by Sun Microsystems, Inc.
#
#   All Rights Reserved.
#
#   Contributor(s): _______________________________________
#
#
#
#*************************************************************************
PRJ=..$/..$/..

PRJNAME=mdb
TARGET=mdb
ENABLE_EXCEPTIONS=TRUE
LIBTARGET=NO
USE_DEFFILE=TRUE
NO_DEFAULT_STL=TRUE

# --- Settings -----------------------------------------------------

.INCLUDE :  settings.mk
#.INCLUDE :  $(SOLARINCDIR)$/mdbtools/mdbtools-version.mk
#-------------------------------------------------------------------

# uno component naming scheme
DLLPRE= 
MDBTOOLS_MAJOR=0
MDBTOOLS_MINOR=5
MDBTOOLS_MICRO=0

MDB_SDBC_MAJOR=0
MDB_SDBC_MINOR=1
MDB_SDBC_MICRO=0

# use the static version 
.IF "$(GUI)"=="WNT"
MDBLIB= wsock32.lib advapi32.lib
#libmdb.lib
.ELSE
MDBLIB= -lmdb -lvos3gcc3 -ldbtools2 -lmdbsql
.ENDIF

CFLAGS+=-I../../inc -I$(SOLARINCDIR)$/mdbtools \
		-DSQL=1 \
	-DMDBTOOLS_MAJOR=$(MDBTOOLS_MAJOR) \
	-DMDBTOOLS_MINOR=$(MDBTOOLS_MINOR) \
	-DMDBTOOLS_MICRO=$(MDBTOOLS_MICRO) \
	-DMDB_SDBC_MAJOR=$(MDB_SDBC_MAJOR) \
	-DMDB_SDBC_MINOR=$(MDB_SDBC_MINOR) \
	-DMDB_SDBC_MICRO=$(MDB_SDBC_MICRO)

SHL1TARGET=mdb-sdbc.uno
LIB1TARGET=$(SLB)$/$(SHL1TARGET).lib
LIB1OBJFILES= \
		$(SLO)$/mdb_driver.obj

SHL1STDLIBS= \
		$(CPPULIB)		\
		$(CPPUHELPERLIB)	\
		$(SALLIB)

SHL1LIBS=	$(LIB1TARGET)
SHL1DEF=	$(MISC)$/$(SHL1TARGET).def
DEF1NAME=	$(SHL1TARGET)
SHL1VERSIONMAP=$(SOLARENV)$/src$/component.map

SHL2TARGET=mdb-sdbc-impl.uno
LIB2TARGET=$(SLB)$/$(SHL2TARGET).lib
LIB2OBJFILES= \
		$(SLO)$/mdb_wrapper.obj \
		$(SLO)$/mdb_connection.obj \
		$(SLO)$/mdb_statement.obj \
		$(SLO)$/mdb_resultset.obj \
		$(SLO)$/mdb_preparedstatement.obj \
		$(SLO)$/mdb_resultsetmetadata.obj \
		$(SLO)$/mdb_databasemetadata.obj \
		$(SLO)$/mdb_sequenceresultset.obj \
		$(SLO)$/mdb_baseresultset.obj
				
SHL2STDLIBS= \
		$(CPPULIB)		\
		$(CPPUHELPERLIB)	\
		$(SALLIB)		\
		$(SALHELPERLIB)		\
		$(MDBLIB)

SHL2LIBS=	$(LIB2TARGET)
SHL2DEF=	$(MISC)$/$(SHL2TARGET).def
DEF2NAME=	$(SHL2TARGET)
SHL2VERSIONMAP=$(SOLARENV)$/src$/component.map


SLOFILES=       $(LIB1OBJFILES) $(LIB2OBJFILES) 


DRIVERNAME=mdb-sdbc-$(MDB_SDBC_MAJOR).$(MDB_SDBC_MINOR).$(MDB_SDBC_MICRO).zip
ALLTAR : $(DLLDEST)$/$(DRIVERNAME)

# --- Targets ------------------------------------------------------
.INCLUDE :  target.mk


$(DLLDEST)$/$(DRIVERNAME): \
		$(DLLDEST)$/DataAccess.xcu \
		$(DLLDEST)$/$(SHL1TARGET)$(DLLPOST) \
		$(DLLDEST)$/$(SHL2TARGET)$(DLLPOST)
	+cd $(DLLDEST) && \
		zip -r  $(DRIVERNAME) \
			$(SHL1TARGET)$(DLLPOST) \
			$(SHL2TARGET)$(DLLPOST) \
			DataAccess.xcu
    +cp /cws/oo_1.1_src/connectivity/unxlngi4.pro/lib/mdb-sdbc-0.1.0.zip /root/OpenOffice.org1.1/user/uno_packages/
    +cd /root/OpenOffice.org1.1/program/ && ./pkgchk -r
$(DLLDEST)$/DataAccess.xcu : DataAccess.xcu
	-rm -f $@
	cat DataAccess.xcu > $@


strip :
.IF "$(GUI)"!="WNT"
	strip $(DLLDEST)$/$(SHL1TARGET)$(DLLPOST) $(DLLDEST)$/$(SHL2TARGET)$(DLLPOST)
.ENDIF
